Magento Forum

Page 1 of 2
How to upgrade magento 1.6.0.0 to 1.7.0.0
 
testing_artis
Jr. Member
 
Total Posts:  1
Joined:  2010-12-22
 

I want to upgrade my site from magento community version 1.6.0.0 to 1.7.0.0. I go to magento backend connect manager. install http://connect20.magentocommerce.com/community/Mage_All_Latest .but it show :

community Mage_All_Latest 1.6.0.0 (stable) Already installed
community Interface_Adminhtml_Default 1.6.0.0 (stable) Already installed
community Interface_Frontend_Default 1.6.0.0 (stable) Already installed
community Interface_Install_Default 1.6.0.0 (stable) Already installed
community Mage_Downloader 1.6.0.0 (stable) Already installed
community Mage_Centinel 1.6.0.0 (stable) Already installed
community Interface_Frontend_Base_Default 1.6.0.0 (stable) Already installed
community Phoenix_Moneybookers 1.3.0 (stable) Already installed
community Find_Feed 1.1.0 (stable) Already installed
community Mage_Compiler 1.6.0.0 (stable) Already installed
community Magento_Mobile 1.5.0.0.21.0 (stable) Already installed
community Mage_Core_Adminhtml 1.6.0.0 (stable) Already installed
community Mage_Core_Modules 1.6.0.0 (stable) Already installed
community Lib_Js_Ext 1.6.0.0 (stable) Already installed
community Lib_LinLibertineFont 2.8.14.0 (stable) Already installed
community Lib_Js_TinyMCE 3.3.7.0 (stable) Already installed
community Lib_Varien 1.6.0.0 (stable) Already installed
community Lib_Google_Checkout 1.5.0.0 (stable) Already installed
community Lib_Js_Calendar 1.51.1 (stable) Already installed
community Lib_Js_Mage 1.6.0.0 (stable) Already installed
community Lib_Phpseclib 1.5.0.0 (stable) Already installed
community Mage_Locale_en_US 1.6.0.0 (stable) Already installed
community Lib_Mage 1.6.0.0 (stable) Already installed
community Lib_ZF 1.11.1.0 (stable) Already installed
community Lib_Js_Prototype 1.7.0.0.1 (stable) Already installed
community Lib_ZF_Locale 1.11.1.0 (stable) Already installed

there is no upgradation for 1.7.0.0 .Please help me to upgrade my site ...

 
Magento Community Magento Community
Magento Community
Magento Community
 
bel_linux
Jr. Member
 
Total Posts:  11
Joined:  2012-02-01
 

I have the same problem did you find any solution ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
MagenX
Enthusiast
 
Total Posts:  791
Joined:  2008-05-26
Dublin
 

you mean go to downloader, press “check for upgrades” select upgrades, and install???

 
Magento Community Magento Community
Magento Community
Magento Community
 
hazel_cl
Jr. Member
 
Total Posts:  13
Joined:  2010-10-16
 

Have you tried to upgrade to Magento 1.6.2 first before you upgrade?

The thing is that between 1.6.0 and 1.6.2 Magento eCommerce removed the support for find feeds from the ecommerce system itself since find feeds is available as a plugin module.

I ran into installation problems via the downloader because of this issue. What I ended up doing was accessing the web-host and doing the upgrade to 1.7.0 via SSH and mage.

You may want to see if you can do the upgrade via ssh.

 
Magento Community Magento Community
Magento Community
Magento Community
 
amat1
Member
 
Total Posts:  36
Joined:  2011-06-13
 

Same issue here. I’m currently running Magento 1.6.2.0.

If I go to Magento Connect Manager, paste the following installation key connect20.magentocommerce.com/community/Mage_All_Latest and hit the"install" button it says all files are already installed (attached print screen).

If I then hit the proceed button I get the following informaton in the output frame:

Checking dependencies of packages
Package community/Mage_Core_Modules failed: Detected Mage_Core_Modules conflict of versions: 1.6.2.0-1.6.2.0 and 1.7.0.0-1.8.0.0
Already installed: community/Mage_All_Latest 1.6.2.0, skipping
Already installed: community/Interface_Adminhtml_Default 1.6.2.0, skipping
Already installed: community/Interface_Frontend_Default 1.6.2.0, skipping
Already installed: community/Interface_Install_Default 1.6.1.0, skipping
Already installed: community/Mage_Downloader 1.6.2.0, skipping
Already installed: community/Mage_Centinel 1.6.1.0, skipping
Already installed: community/Interface_Frontend_Base_Default 1.6.2.0, skipping
Already installed: community/Phoenix_Moneybookers 1.3.1, skipping
Already installed: community/Mage_Compiler 1.6.2.0, skipping
Already installed: community/Magento_Mobile 1.6.0.0.22.1, skipping
Already installed: community/Mage_Core_Adminhtml 1.6.2.0, skipping
Already installed: community/Lib_Js_Ext 1.6.0.0, skipping
Already installed: community/Lib_LinLibertineFont 2.8.14.0, skipping
Already installed: community/Lib_Js_TinyMCE 3.3.7.0, skipping
Already installed: community/Mage_Core_Modules 1.6.2.0, skipping
Already installed: community/Lib_Varien 1.7.0.0, skipping
Already installed: community/Lib_Google_Checkout 1.5.0.0, skipping
Already installed: community/Lib_Js_Calendar 1.51.1.1, skipping
Already installed: community/Lib_Js_Mage 1.7.0.0, skipping
Already installed: community/Lib_Phpseclib 1.5.0.0, skipping
Already installed: community/Mage_Locale_en_US 1.7.0.0, skipping
Already installed: community/Lib_Mage 1.7.0.0, skipping
Already installed: community/Lib_ZF 1.11.1.0, skipping
Already installed: community/Lib_Js_Prototype 1.7.0.0.3, skipping
Already installed: community/Lib_ZF_Locale 1.11.1.0, skipping

Cleaning cache
..
Cache cleaned successfully

Nothing changes, when returning to backend it still runs 1.6.2.0, no errors, nothing…

Thank in advance for any help!

Matthijs

Image Attachments
Already-Installed.gif
 
Magento Community Magento Community
Magento Community
Magento Community
 
yoann123
Jr. Member
 
Total Posts:  7
Joined:  2012-04-04
 

Same issue. Someone ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
biblioo
Jr. Member
 
Total Posts:  1
Joined:  2012-03-14
 

Same issue as Amit1. Current version 1.6.2.

Rik

 
Magento Community Magento Community
Magento Community
Magento Community
 
ethos
Jr. Member
 
Total Posts:  9
Joined:  2011-02-09
 

Hi all,

I think that the best way to update your Magento from 1.6.0 to 1.7.0 is to use diff files.

- Log in using SSH on your server and go to the magento root folder.
- Get the two diff files

# wget http://www.magentocommerce.com/downloads/assets/1.6.2.0/1.6.1.0-1.6.2.0.diff.zip
#wget http://www.magentocommerce.com/downloads/assets/1.7.0.0/1.6.2.0-1.7.0.0.diff.zip
- Unzip those files
#unzip 1.6.1.0-1.6.2.0.diff.zip
#unzip 1.6.2.0-1.7.0.0.diff.zip
- Patch your Magento
#patch -p0 -f < 1.6.1.0-1.6.2.0.diff
#patch -p0 -f < 1.6.2.0-1.7.0.0.diff
- Clear cache and sessions files
#cd var/cache/
#rm -r *
# cd ..
#cd session/
#rm -r *

I had a “onepage checkout” problem after applying the patches. To correct this problem, I deleted template files in the
/app/design/frontend/default/theme258/template/checkout/ folder. In most case, those are really low cosmetic changes of the default template.

If you don’t have the unzip command, use yum or apt-get to install that tool or get some other diff files (*.bz2 or *.gz)

Like usually, test that procedure on a copy of your current Magento website smile

 
Magento Community Magento Community
Magento Community
Magento Community
 
milali
Jr. Member
 
Total Posts:  26
Joined:  2012-01-08
 

awesome post (diff one)

thanks for that!

 
Magento Community Magento Community
Magento Community
Magento Community
 
tycoon7
Jr. Member
 
Total Posts:  26
Joined:  2011-10-20
 
testing_artis - 10 May 2012 10:30 PM

I want to upgrade my site from magento community version 1.6.0.0 to 1.7.0.0. I go to magento backend connect manager. install http://connect20.magentocommerce.com/community/Mage_All_Latest .but it show :

community Mage_All_Latest 1.6.0.0 (stable) Already installed
community Interface_Adminhtml_Default 1.6.0.0 (stable) Already installed
community Interface_Frontend_Default 1.6.0.0 (stable) Already installed
community Interface_Install_Default 1.6.0.0 (stable) Already installed
community Mage_Downloader 1.6.0.0 (stable) Already installed
community Mage_Centinel 1.6.0.0 (stable) Already installed
community Interface_Frontend_Base_Default 1.6.0.0 (stable) Already installed
community Phoenix_Moneybookers 1.3.0 (stable) Already installed
community Find_Feed 1.1.0 (stable) Already installed
community Mage_Compiler 1.6.0.0 (stable) Already installed
community Magento_Mobile 1.5.0.0.21.0 (stable) Already installed
community Mage_Core_Adminhtml 1.6.0.0 (stable) Already installed
community Mage_Core_Modules 1.6.0.0 (stable) Already installed
community Lib_Js_Ext 1.6.0.0 (stable) Already installed
community Lib_LinLibertineFont 2.8.14.0 (stable) Already installed
community Lib_Js_TinyMCE 3.3.7.0 (stable) Already installed
community Lib_Varien 1.6.0.0 (stable) Already installed
community Lib_Google_Checkout 1.5.0.0 (stable) Already installed
community Lib_Js_Calendar 1.51.1 (stable) Already installed
community Lib_Js_Mage 1.6.0.0 (stable) Already installed
community Lib_Phpseclib 1.5.0.0 (stable) Already installed
community Mage_Locale_en_US 1.6.0.0 (stable) Already installed
community Lib_Mage 1.6.0.0 (stable) Already installed
community Lib_ZF 1.11.1.0 (stable) Already installed
community Lib_Js_Prototype 1.7.0.0.1 (stable) Already installed
community Lib_ZF_Locale 1.11.1.0 (stable) Already installed


there is no upgradation for 1.7.0.0 .Please help me to upgrade my site ...

I had the same problem, here what i did:
In Manage Existing Extensions pressed Check for Upgrades
than chose Mage_All_Latest upgrade to 1.7.0.0
Done

 
Magento Community Magento Community
Magento Community
Magento Community
 
cucumber
Jr. Member
 
Total Posts:  12
Joined:  2012-03-08
 

I have searched for new upgrades and they all appear ready to install but when I commit the process crashes and gives a windows error message “ Apache HTTP Server encounterred a problem” I have tried numerous times and cannot get over this ??
Any ideas what this problem could be and if not how else can I upgrade to latest versions?
Thanks in advance

 
Magento Community Magento Community
Magento Community
Magento Community
 
jtroump
Member
 
Total Posts:  49
Joined:  2011-04-11
 

Hi all,

I just upgraded my Magento Community Edition from 1.6.2 to 1.7.0.2.

OK, let’s go with this step-by-step procedure:

1. Go to System -> Magento Connect -> Magento Connect Manager
2. Log in using your username and password
3. Click on “Check for Upgrades” button
4.You will notice that most package rows turn to yellow. These packages are the only that have available updates. Go to each package row, click on “Actions” drop-down menu and select the most current stable version available.
Note: Stable version available may vary for each package. For example, some packages may have 1.7.0.2 upgrade version and others 1.7.0.1 or lower. Don’t bother with this, just pick the latest stable version available.
5. When you are done selecting upgrade version for all packages, click on “Commit Changes” button.
6. Now, you have to wait. Give it some time. During upgrading process, you may see various notes or outputs that may be tricky and you may think that the process is done. Well, IT IS NOT. Just wait, give it some more minutes. The process will be done when there is no activity in the “command line” like console for about one minute.
7. Click on “Refresh” button. You are almost done! Technically, you have completed the upgrade process.
8. Go to your cPanel file manager or your FTP client and delete EVERYTHING in var/ directory.
9. Last but not least, reindex data in Admin -> Index Management

When you enter admin section and scroll down, you will notice that it says “Magento ver. 1.7.0.2”

This process worked for me fine. My upgraded Magento works as before. All extensions are also working like before.

I hope I will not face any problem in the next days but if I, I will let you know immediately.

Just let me know if you tried this and worked for you also.

Good luck.
resurfacer

 
Magento Community Magento Community
Magento Community
Magento Community
 
morguk
Jr. Member
 
Total Posts:  2
Joined:  2011-11-24
 

I did the following and now all I can get is this (See attachment)

Image Attachments
MAGENTOUPGRADE.jpg
 
Magento Community Magento Community
Magento Community
Magento Community
 
aaronwallace
Member
 
Total Posts:  59
Joined:  2011-07-18
 

Hi all,

I have two useful articles for upgrading Magento store from 1.6 to 1.7 CE.
http://www.expertmagentodevelopers.com/blog/magento-tutorial-how-to-upgrade-magento-1-6-to-1-7-via-ftp/
http://www.expertmagentodevelopers.com/blog/how-to-upgrade-from-magento-1-6-1-to-1-7-0-using-connect-manager/

I hope these will work for you.

Thanks

 
Magento Community Magento Community
Magento Community
Magento Community
 
MarieMorel
Jr. Member
 
Total Posts:  9
Joined:  2012-08-16
 

Hi guys,

found this article on the web http://www.shopping-cart-migration.com/useful-articles/42-magento/4416-magento-upgrade-or-migrate
I am wondering if it is true and it is better to migrate on a new Magento than upgrade already existing one. Could someone give an advice or share experience?

 
Magento Community Magento Community
Magento Community
Magento Community
 
parfum12
Jr. Member
 
Total Posts:  1
Joined:  2011-10-02
 

Hi,
i’m having trouble with updating magento from 1.6.0.0. to 1.7. Below is the message i get, i’ve tried to force the update with ssh but still i get the same message. Can someone please help me.

a:5:{i:0;s:230:"Error in file: “/home/parfumen/domains/parfumenbeauty.nl/public_html/app/code/core/Mage/Captcha/sql/captcha_setup/install-1.7.0.0.0.php” - SQLSTATE[42S01]: Base table or view already exists: 1050 Table ‘captcha_log’ already exists";i:1;s:1180:"#0 /home/parfumen/domains/parfumenbeauty.nl/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(645): Mage::exception(’Mage_Core’, ‘Error in file: ...’)
#1 /home/parfumen/domains/parfumenbeauty.nl/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(421): Mage_Core_Model_Resource_Setup->_modifyResourceDb(’install’, ‘’, ‘1.7.0.0.0’)
#2 /home/parfumen/domains/parfumenbeauty.nl/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(327): Mage_Core_Model_Resource_Setup->_installResourceDb(’1.7.0.0.0’)
#3 /home/parfumen/domains/parfumenbeauty.nl/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(235): Mage_Core_Model_Resource_Setup->applyUpdates()
#4 /home/parfumen/domains/parfumenbeauty.nl/public_html/app/code/core/Mage/Core/Model/App.php(417): Mage_Core_Model_Resource_Setup::applyAllUpdates()
#5 /home/parfumen/domains/parfumenbeauty.nl/public_html/app/code/core/Mage/Core/Model/App.php(343): Mage_Core_Model_App->_initModules()
#6 /home/parfumen/domains/parfumenbeauty.nl/public_html/app/Mage.php(683): Mage_Core_Model_App->run(Array)
#7 /home/parfumen/domains/parfumenbeauty.nl/public_html/index.php(87): Mage::run(’’, ‘store’)
#8 {main}”;s:3:"url”;s:115:"/index.php/admin/cms_page/save/back/edit/active_tab/content_section/page_id/5/key/c2524c7614be43f3987d45eb2df9d57c/”;s:11:"script_name”;s:10:"/index.php”;s:4:"skin”;s:7:"default";}

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top
Page 1 of 2